import { Track } from '../base';
export declare function createRemoteStream(urlIn: string): Promise<import("node-fetch").Response>;
export declare function isURL(FileName: string): boolean;
export declare function guessAdapterFromFileName(filePath: string): Track;
export declare function supported(type: string): boolean;
export declare function generateMeta({ configs, attributes, outDir, name, exclude, assemblyNames, }: {
    configs: Track[];
    attributes: string[];
    outDir: string;
    name: string;
    exclude: string[];
    assemblyNames: string[];
}): Promise<void>;
